package com.mobile.constellations.data;

import java.io.Serializable;

public class Home implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = -3778311724358932551L;
	public String  title;
	public String image;
	public String img;
	public String date;
	public String desc;
	public String character1;
	public String character2;
	public String character3;
	public String character4;
	public String character5;
	public String character6;
	public String character7;
	public String character8;
	public String character9;
	public String character10;
	public String character11;
	public String character12;
	public String character13;
	public String character14;
	public Home(String title, String image, String img, String date,
			String desc, String character1, String character2,
			String character3, String character4, String character5,
			String character6, String character7, String character8,
			String character9, String character10, String character11,
			String character12, String character13, String character14) {
		super();
		this.title = title;
		this.image = image;
		this.img = img;
		this.date = date;
		this.desc = desc;
		this.character1 = character1;
		this.character2 = character2;
		this.character3 = character3;
		this.character4 = character4;
		this.character5 = character5;
		this.character6 = character6;
		this.character7 = character7;
		this.character8 = character8;
		this.character9 = character9;
		this.character10 = character10;
		this.character11 = character11;
		this.character12 = character12;
		this.character13 = character13;
		this.character14 = character14;
	}
	@Override
	public String toString() {
		return "Home [title=" + title + ", image=" + image + ", img=" + img
				+ ", date=" + date + ", desc=" + desc + ", character1="
				+ character1 + ", character2=" + character2 + ", character3="
				+ character3 + ", character4=" + character4 + ", character5="
				+ character5 + ", character6=" + character6 + ", character7="
				+ character7 + ", character8=" + character8 + ", character9="
				+ character9 + ", character10=" + character10
				+ ", character11=" + character11 + ", character12="
				+ character12 + ", character13=" + character13
				+ ", character14=" + character14 + "]";
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((character1 == null) ? 0 : character1.hashCode());
		result = prime * result
				+ ((character10 == null) ? 0 : character10.hashCode());
		result = prime * result
				+ ((character11 == null) ? 0 : character11.hashCode());
		result = prime * result
				+ ((character12 == null) ? 0 : character12.hashCode());
		result = prime * result
				+ ((character13 == null) ? 0 : character13.hashCode());
		result = prime * result
				+ ((character14 == null) ? 0 : character14.hashCode());
		result = prime * result
				+ ((character2 == null) ? 0 : character2.hashCode());
		result = prime * result
				+ ((character3 == null) ? 0 : character3.hashCode());
		result = prime * result
				+ ((character4 == null) ? 0 : character4.hashCode());
		result = prime * result
				+ ((character5 == null) ? 0 : character5.hashCode());
		result = prime * result
				+ ((character6 == null) ? 0 : character6.hashCode());
		result = prime * result
				+ ((character7 == null) ? 0 : character7.hashCode());
		result = prime * result
				+ ((character8 == null) ? 0 : character8.hashCode());
		result = prime * result
				+ ((character9 == null) ? 0 : character9.hashCode());
		result = prime * result + ((date == null) ? 0 : date.hashCode());
		result = prime * result + ((desc == null) ? 0 : desc.hashCode());
		result = prime * result + ((image == null) ? 0 : image.hashCode());
		result = prime * result + ((img == null) ? 0 : img.hashCode());
		result = prime * result + ((title == null) ? 0 : title.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Home other = (Home) obj;
		if (character1 == null) {
			if (other.character1 != null)
				return false;
		} else if (!character1.equals(other.character1))
			return false;
		if (character10 == null) {
			if (other.character10 != null)
				return false;
		} else if (!character10.equals(other.character10))
			return false;
		if (character11 == null) {
			if (other.character11 != null)
				return false;
		} else if (!character11.equals(other.character11))
			return false;
		if (character12 == null) {
			if (other.character12 != null)
				return false;
		} else if (!character12.equals(other.character12))
			return false;
		if (character13 == null) {
			if (other.character13 != null)
				return false;
		} else if (!character13.equals(other.character13))
			return false;
		if (character14 == null) {
			if (other.character14 != null)
				return false;
		} else if (!character14.equals(other.character14))
			return false;
		if (character2 == null) {
			if (other.character2 != null)
				return false;
		} else if (!character2.equals(other.character2))
			return false;
		if (character3 == null) {
			if (other.character3 != null)
				return false;
		} else if (!character3.equals(other.character3))
			return false;
		if (character4 == null) {
			if (other.character4 != null)
				return false;
		} else if (!character4.equals(other.character4))
			return false;
		if (character5 == null) {
			if (other.character5 != null)
				return false;
		} else if (!character5.equals(other.character5))
			return false;
		if (character6 == null) {
			if (other.character6 != null)
				return false;
		} else if (!character6.equals(other.character6))
			return false;
		if (character7 == null) {
			if (other.character7 != null)
				return false;
		} else if (!character7.equals(other.character7))
			return false;
		if (character8 == null) {
			if (other.character8 != null)
				return false;
		} else if (!character8.equals(other.character8))
			return false;
		if (character9 == null) {
			if (other.character9 != null)
				return false;
		} else if (!character9.equals(other.character9))
			return false;
		if (date == null) {
			if (other.date != null)
				return false;
		} else if (!date.equals(other.date))
			return false;
		if (desc == null) {
			if (other.desc != null)
				return false;
		} else if (!desc.equals(other.desc))
			return false;
		if (image == null) {
			if (other.image != null)
				return false;
		} else if (!image.equals(other.image))
			return false;
		if (img == null) {
			if (other.img != null)
				return false;
		} else if (!img.equals(other.img))
			return false;
		if (title == null) {
			if (other.title != null)
				return false;
		} else if (!title.equals(other.title))
			return false;
		return true;
	}
	
}
